searchNodes=[{"doc":"Invokes tailwind with the given args. Usage: $ mix tailwind TASK_OPTIONS PROFILE TAILWIND_ARGS Example: $ mix tailwind default --config=tailwind.config.js --input=css/app.css --output=../priv/static/assets/app.css --minify If tailwind is not installed, it is automatically downloaded. Note the arguments given to this task will be appended to any configured arguments. Options --runtime-config - load the runtime configuration before executing command Note flags to control this Mix task must be given before the profile: $ mix tailwind --runtime-config default","ref":"Mix.Tasks.Tailwind.html","title":"Mix.Tasks.Tailwind","type":"task"},{"doc":"Installs Tailwind executable and assets. $ mix tailwind.install $ mix tailwind.install --if-missing By default, it installs 3.2.7 but you can configure it in your config files, such as: config :tailwind , :version , &quot;3.2.7&quot; Options * ` -- runtime - config ` - load the runtime configuration before executing command * ` -- if - missing ` - install only if the given version does not exist * ` -- no - assets ` - does not install Tailwind assets Assets Whenever Tailwind is installed, a default tailwind configuration will be placed in a new assets/tailwind.config.js file. See the tailwind documentation on configuration options. The default tailwind configuration includes Tailwind variants for Phoenix LiveView specific lifecycle classes: phx-no-feedback - applied when feedback should be hidden from the user phx-click-loading - applied when an event is sent to the server on click while the client awaits the server response phx-submit-loading - applied when a form is submitted while the client awaits the server response phx-submit-loading - applied when a form input is changed while the client awaits the server response Therefore, you may apply a variant, such as phx-click-loading:animate-pulse to customize tailwind classes when Phoenix LiveView classes are applied.","ref":"Mix.Tasks.Tailwind.Install.html","title":"Mix.Tasks.Tailwind.Install","type":"task"},{"doc":"Tailwind is an installer and runner for tailwind . Profiles You can define multiple tailwind profiles. By default, there is a profile called :default which you can configure its args, current directory and environment: config :tailwind , version : &quot;3.2.7&quot; , default : [ args : ~w( --config=tailwind.config.js --input=css/app.css --output=../priv/static/assets/app.css ) , cd : Path . expand ( &quot;../assets&quot; , __DIR__ ) , ] Tailwind configuration There are two global configurations for the tailwind application: :version - the expected tailwind version :cacerts_path - the directory to find certificates for https connections :path - the path to find the tailwind executable at. By default, it is automatically downloaded and placed inside the _build directory of your current app Overriding the :path is not recommended, as we will automatically download and manage tailwind for you. But in case you can't download it (for example, GitHub behind a proxy), you may want to set the :path to a configurable system location. For instance, you can install tailwind globally with npm : $ npm install -g tailwindcss On Unix, the executable will be at: NPM_ROOT / tailwind / node_modules / tailwind - TARGET / bin / tailwind On Windows, it will be at: NPM_ROOT / tailwind / node_modules / tailwind - windows - ( 32 | 64 ) / tailwind . exe Where NPM_ROOT is the result of npm root -g and TARGET is your system target architecture. Once you find the location of the executable, you can store it in a MIX_TAILWIND_PATH environment variable, which you can then read in your configuration file: config :tailwind , path : System . get_env ( &quot;MIX_TAILWIND_PATH&quot; )","ref":"Tailwind.html","title":"Tailwind","type":"module"},{"doc":"Returns the path to the executable. The executable may not be available if it was not yet installed.","ref":"Tailwind.html#bin_path/0","title":"Tailwind.bin_path/0","type":"function"},{"doc":"Returns the version of the tailwind executable. Returns {:ok, version_string} on success or :error when the executable is not available.","ref":"Tailwind.html#bin_version/0","title":"Tailwind.bin_version/0","type":"function"},{"doc":"Returns the configuration for the given profile. Returns nil if the profile does not exist.","ref":"Tailwind.html#config_for!/1","title":"Tailwind.config_for!/1","type":"function"},{"doc":"Returns the configured tailwind version.","ref":"Tailwind.html#configured_version/0","title":"Tailwind.configured_version/0","type":"function"},{"doc":"The default URL to install Tailwind from.","ref":"Tailwind.html#default_base_url/0","title":"Tailwind.default_base_url/0","type":"function"},{"doc":"Installs tailwind with configured_version/0 .","ref":"Tailwind.html#install/1","title":"Tailwind.install/1","type":"function"},{"doc":"Installs, if not available, and then runs tailwind . Returns the same as run/2 .","ref":"Tailwind.html#install_and_run/2","title":"Tailwind.install_and_run/2","type":"function"},{"doc":"Runs the given command with args . The given args will be appended to the configured args. The task output will be streamed directly to stdio. It returns the status of the underlying call.","ref":"Tailwind.html#run/2","title":"Tailwind.run/2","type":"function"},{"doc":"","ref":"changelog.html","title":"CHANGELOG","type":"extras"},{"doc":"Support Elixir v1.15+ by ensuring inets and ssl are available even on runtime: false","ref":"changelog.html#v0-2-1-2023-06-26","title":"CHANGELOG - v0.2.1 (2023-06-26)","type":"extras"},{"doc":"Require Elixir v1.11+","ref":"changelog.html#v0-2-0-2023-03-16","title":"CHANGELOG - v0.2.0 (2023-03-16)","type":"extras"},{"doc":"Declare inets and ssl for latest elixir support Add FreeBSD targets Add armv7 targets Support custom URLs for fetching prebuilt tailwind binaries","ref":"changelog.html#v0-1-10-2023-02-09","title":"CHANGELOG - v0.1.10 (2023-02-09)","type":"extras"},{"doc":"Use only TLS 1.2 on OTP versions less than 25.","ref":"changelog.html#v0-1-9-2022-09-06","title":"CHANGELOG - v0.1.9 (2022-09-06)","type":"extras"},{"doc":"Fix generated tailwind.config.js missing plugin reference","ref":"changelog.html#v0-1-8-2022-07-14","title":"CHANGELOG - v0.1.8 (2022-07-14)","type":"extras"},{"doc":"Bump tailwindcss to v3.1.6 Add Phoenix LiveView variants","ref":"changelog.html#v0-1-7-2022-07-13","title":"CHANGELOG - v0.1.7 (2022-07-13)","type":"extras"},{"doc":"Bump tailwindcss to v3.1.0","ref":"changelog.html#v0-1-6-2022-06-09","title":"CHANGELOG - v0.1.6 (2022-06-09)","type":"extras"},{"doc":"Prune app.js css import to remove required manual step on first install","ref":"changelog.html#v0-1-5-2022-01-18","title":"CHANGELOG - v0.1.5 (2022-01-18)","type":"extras"},{"doc":"Bump tailwindcss to v3.0.12 to support alpine linux and others requiring statically linked builds","ref":"changelog.html#v0-1-4-2022-01-07","title":"CHANGELOG - v0.1.4 (2022-01-07)","type":"extras"},{"doc":"Bump tailwindcss to v3.0.10 Inject tailwind imports into app.css on install Prune phoenix.css import from app.css on install","ref":"changelog.html#v0-1-3-2022-01-04","title":"CHANGELOG - v0.1.3 (2022-01-04)","type":"extras"},{"doc":"Fix tailwind v3 warnings and simplify generated assets/tailwind.config.js configuration","ref":"changelog.html#v0-1-2-2021-12-21","title":"CHANGELOG - v0.1.2 (2021-12-21)","type":"extras"},{"doc":"First release","ref":"changelog.html#v0-1-1-2021-12-20","title":"CHANGELOG - v0.1.1 (2021-12-20)","type":"extras"}]